% 1 ) ELIMINAR RADIOAYUDAS CON EL MISMO IDENTIFICADOR
clear all; close all; clc

% Leemos la BDD completa que queremos filtrar:
[Database] = Reading_Database('3_12_13_Database_Lat_Sorted.dat', 1, 9449);

% Almacenamos en array los diferentes datos de las radioayudas:
[NAtype, NAlat, NAlon, NAalt,  NAfreq, NArange, NAid] = Get_NavAid_Data(Database);

% Numero total de radioayudas
Total = size(NAid);

% Array donde se va a almacenar la posicion de las radioayudas repetidas
posicion_id_repetido = [];

% Bucles de inspección:
for i = 1: Total                               
    for j = (i+1) : Total                   % Cada i-esima se compara con todas las j-esimas superiores
        if strcmp (NAid(j), NAid(i))
            % Registramos la posicion superior j de la radioyuda con id repetido
            posicion_id_repetido = [posicion_id_repetido; j];
        end
    end
end

% Eliminacion radioayudas con id repetido:
Database(posicion_id_repetido) = [];

% Escritura a fichero de texto
CellArray2TextFile('3_12_13_Lat_Sorted_WO_R_ID.dat', Database);